using Models;
using UnityEngine;

namespace Utils.PoseTransformHandlers
{
    public class ZAxisHandler : IPoseTransformHandler
    {
        private Vector3 _result;
        
        public void ReceivePoseLandmark(PoseLandmark landmark)
        {
            _result = new Vector3(landmark.X, landmark.Y, landmark.Z * 0.5f);
        }

        public Vector3 GetResultPosition()
        {
            return _result;
        }
    }
}